MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000356XdebugUsage problems (Wrong Results)public2008-03-05 15:272009-11-22 17:56
Reporteralexf1852 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000356: temporary breakpoints within a loop persists.
DescriptionIn Komodo, if Run-to-Cursor is used within a loop, then that temporary breakpoint persists until script execution ends. Even if one puts the cursor outside the loop and performs the Run-to-Cursor feature again, Xdebug will continue breaking at the same place where run-to-cursor was used within the loop.
Additional InformationThe version of Xdebug I'm using is the same version that comes with Komodo 4.3 beta 2. This issue happens with Komodo 4.2 as well if I remember correctly.
TagsNo tags attached.
Operating SystemWindows XP
PHP Version4.4.7
Attached Files

- Relationships

-  Notes
(0001160)
derick (administrator)
2009-11-22 17:56

Fixed in CVS.

- Issue History
Date Modified Username Field Change
2008-03-05 15:27 alexf1852 New Issue
2009-11-22 17:56 derick Note Added: 0001160
2009-11-22 17:56 derick Status new => closed
2009-11-22 17:56 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker